CommonJS AutoComplete

Compatible with:  IntelliJ IDEA , PhpStorm , WebStorm , PyCharm , RubyMine
24 794
Provides AutoComplete for CommonJS require statements. Attempts to locate corresponding modules or files and complete require statements based on variable names.

Visit Github repo for more documentation and to report issues. If you have a feature request that you would like to make, please post it here as well.

Download plugin

Recent change notes

- Add basic support for ES6 imports
- Add support for TypeScript

General usage instructions

JavaScript plugin for Jetbrain's IDEs to provide AutoComplete support for CommonJS require statements. View setup instructions at:

No comments so far.

Please  sign in  to leave a comment.